<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateShortlistsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: shortlists
         */
        Schema::create('shortlists', function ($table) {
            $table->increments('id');
            $table->integer('profile_id')->nullable();
            $table->integer('shortlist_id')->nullable();
            $table->enum('shortlist_status', ['true','false'])->nullable();
            $table->enum('ignore_status', ['true','false'])->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('shortlists');
    }
}
