<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for profile in profile package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  profile module in profile package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Profile',
    'names'         => 'Profiles',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Profiles',
        'sub'   => 'Profiles',
        'list'  => 'List of profiles',
        'edit'  => 'Edit profile',
        'create'    => 'Create new profile'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'gender'              => ['','male','female'],
            'profile_for'         => ['Myself','Son','Daughter','Brother','Sister','Friend'],
            'marital_status'      => ['Never Married','Widower','Divorced','Awaiting divorce'],
            'religious_value'     => ['Very Religious','Liberal'],
            'body_type'           => ['Slim','Average','Athletic','Heavy'],
            'complexion'          => ['Very Fair','Fair','Wheatish','Wheatish Brown','Dark'],
            'physical_status'     => ['Normal','Physically Challenged'],
            'employment_type'     => ['Private','Goverment','Business','Defence','Self Employed','Not working'],
            'dosham'              => ['Yes','No','Don''t Know',''],
            'food_habits'         => ['Vegetarian','Non Vegetarian','Eggetarian'],
            'smoking'             => ['No','Yes','Occasionally'],
            'drinking'            => ['No','Yes','Occasionally'],
            'family_status'       => ['Middle Class','Upper Middle Class','Rich','Affluent'],
            'family_type'         => ['Joint Family','Nuclear Family','Others'],
            'family_values'       => ['Orthodox','Traditional','Moderate','Liberal'],
            'profile_status'      => ['open','hidden','delete'],
            'email_alert'         => ['Daily','Weekly','Unsubscribe'],
            'phone_setting'       => ['Visible to all paid members','Visible to all paid members whom I contact'],
            'horoscope_setting'   => ['Visible to all paid members','Visible to all paid members whom I contact'],
            'photo_setting'       => ['Visible to all logged in members','Visible to members whom I contact or whom I accept/reply','Password protected'],
            'published'           => ['Yes','No'],
            'plan'                => ['Silver','Gold','Diamond'],
            'status'              => ['New','Active','Suspended','Locked'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'reporting_to'               => 'Please enter reporting to',
        'name'                       => 'Please enter name',
        'email'                      => 'Please enter email',
        'password'                   => 'Please enter password',
        'api_token'                  => 'Please enter api token',
        'remember_token'             => 'Please enter remember token',
        'gender'                     => 'Please select gender',
        'dob'                        => 'Please select dob',
        'designation'                => 'Please enter designation',
        'mobile'                     => 'Please enter mobile',
        'phone'                      => 'Please enter phone',
        'address'                    => 'Please enter address',
        'street'                     => 'Please enter street',
        'city'                       => 'Please enter city',
        'district'                   => 'Please enter district',
        'state'                      => 'Please enter state',
        'country'                    => 'Please enter country',
        'photo'                      => 'Please enter photo',
        'ref'                        => 'Please enter ref',
        'profile_for'                => 'Please select profile for',
        'candidate_name'             => 'Please enter candidate name',
        'marital_status'             => 'Please select marital status',
        'age'                        => 'Please enter age',
        'nationality'                => 'Please enter nationality',
        'country_id'                 => 'Please enter country id',
        'state_id'                   => 'Please enter state id',
        'city_id'                    => 'Please enter city id',
        'mothertongue'               => 'Please enter mothertongue',
        'languages_known'            => 'Please enter languages known',
        'religion'                   => 'Please enter religion',
        'caste'                      => 'Please enter caste',
        'subcaste'                   => 'Please enter subcaste',
        'religious_value'            => 'Please select religious value',
        'height'                     => 'Please enter height',
        'weight'                     => 'Please enter weight',
        'body_type'                  => 'Please select body type',
        'complexion'                 => 'Please select complexion',
        'physical_status'            => 'Please select physical status',
        'education'                  => 'Please enter education',
        'employment_type'            => 'Please select employment type',
        'occupation'                 => 'Please enter occupation',
        'income'                     => 'Please enter income',
        'star'                       => 'Please enter star',
        'raasi'                      => 'Please enter raasi',
        'dosham'                     => 'Please select dosham',
        'food_habits'                => 'Please select food habits',
        'smoking'                    => 'Please select smoking',
        'drinking'                   => 'Please select drinking',
        'family_status'              => 'Please select family status',
        'family_type'                => 'Please select family type',
        'family_values'              => 'Please select family values',
        'images'                     => 'Please enter images',
        'horoscope'                  => 'Please enter horoscope',
        'description'                => 'Please enter description',
        'profile_status'             => 'Please select profile status',
        'email_alert'                => 'Please select email alert',
        'phone_setting'              => 'Please select phone setting',
        'horoscope_setting'          => 'Please select horoscope setting',
        'photo_setting'              => 'Please select photo setting',
        'viwed_profiles'             => 'Please enter viwed profiles',
        'profile_visitors'           => 'Please enter profile visitors',
        'subscription'               => 'Please enter subscription',
        'activated_at'               => 'Please select activated at',
        'expires_at'                 => 'Please select expires at',
        'published'                  => 'Please select published',
        'plan'                       => 'Please select plan',
        'web'                        => 'Please enter web',
        'permissions'                => 'Please enter permissions',
        'status'                     => 'Please select status',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'upload_folder'              => 'Please enter upload folder',
        'deleted_at'                 => 'Please select deleted at',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'reporting_to'               => 'Reporting to',
        'name'                       => 'Name',
        'email'                      => 'Email',
        'password'                   => 'Password',
        'api_token'                  => 'Api token',
        'remember_token'             => 'Remember token',
        'gender'                     => 'Gender',
        'dob'                        => 'Dob',
        'designation'                => 'Designation',
        'mobile'                     => 'Mobile',
        'phone'                      => 'Phone',
        'address'                    => 'Address',
        'street'                     => 'Street',
        'city'                       => 'City',
        'district'                   => 'District',
        'state'                      => 'State',
        'country'                    => 'Country',
        'photo'                      => 'Photo',
        'ref'                        => 'Ref',
        'profile_for'                => 'Profile for',
        'candidate_name'             => 'Candidate name',
        'marital_status'             => 'Marital status',
        'age'                        => 'Age',
        'nationality'                => 'Nationality',
        'country_id'                 => 'Country id',
        'state_id'                   => 'State id',
        'city_id'                    => 'City id',
        'mothertongue'               => 'Mothertongue',
        'languages_known'            => 'Languages known',
        'religion'                   => 'Religion',
        'caste'                      => 'Caste',
        'subcaste'                   => 'Subcaste',
        'religious_value'            => 'Religious value',
        'height'                     => 'Height',
        'weight'                     => 'Weight',
        'body_type'                  => 'Body type',
        'complexion'                 => 'Complexion',
        'physical_status'            => 'Physical status',
        'education'                  => 'Education',
        'employment_type'            => 'Employment type',
        'occupation'                 => 'Occupation',
        'income'                     => 'Income',
        'star'                       => 'Star',
        'raasi'                      => 'Raasi',
        'dosham'                     => 'Dosham',
        'food_habits'                => 'Food habits',
        'smoking'                    => 'Smoking',
        'drinking'                   => 'Drinking',
        'family_status'              => 'Family status',
        'family_type'                => 'Family type',
        'family_values'              => 'Family values',
        'images'                     => 'Images',
        'horoscope'                  => 'Horoscope',
        'description'                => 'Description',
        'profile_status'             => 'Profile status',
        'email_alert'                => 'Email alert',
        'phone_setting'              => 'Phone setting',
        'horoscope_setting'          => 'Horoscope setting',
        'photo_setting'              => 'Photo setting',
        'viwed_profiles'             => 'Viwed profiles',
        'profile_visitors'           => 'Profile visitors',
        'subscription'               => 'Subscription',
        'activated_at'               => 'Activated at',
        'expires_at'                 => 'Expires at',
        'published'                  => 'Published',
        'plan'                       => 'Plan',
        'web'                        => 'Web',
        'permissions'                => 'Permissions',
        'status'                     => 'Status',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'upload_folder'              => 'Upload folder',
        'deleted_at'                 => 'Deleted at',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'email'                      => ['name' => 'Email', 'data-column' => 1, 'checked'],
        'gender'                     => ['name' => 'Gender', 'data-column' => 2, 'checked'],
        'candidate_name'             => ['name' => 'Candidate name', 'data-column' => 3, 'checked'],
        'marital_status'             => ['name' => 'Marital status', 'data-column' => 4, 'checked'],
        'age'                        => ['name' => 'Age', 'data-column' => 5, 'checked'],
        'city_id'                    => ['name' => 'City id', 'data-column' => 6, 'checked'],
        'religion'                   => ['name' => 'Religion', 'data-column' => 7, 'checked'],
        'caste'                      => ['name' => 'Caste', 'data-column' => 8, 'checked'],
        'complexion'                 => ['name' => 'Complexion', 'data-column' => 9, 'checked'],
        'education'                  => ['name' => 'Education', 'data-column' => 10, 'checked'],
        'employment_type'            => ['name' => 'Employment type', 'data-column' => 11, 'checked'],
        'occupation'                 => ['name' => 'Occupation', 'data-column' => 12, 'checked'],
        'star'                       => ['name' => 'Star', 'data-column' => 13, 'checked'],
        'profile_status'             => ['name' => 'Profile status', 'data-column' => 14, 'checked'],
        'expires_at'                 => ['name' => 'Expires at', 'data-column' => 15, 'checked'],
        'published'                  => ['name' => 'Published', 'data-column' => 16, 'checked'],
        'plan'                       => ['name' => 'Plan', 'data-column' => 17, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Profiles',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
