<?php

namespace Litematrimony\Profile\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Profile policy
        'Litematrimony\Profile\Models\Profile' => \Litematrimony\Profile\Policies\ProfilePolicy::class,
// Bind Visit policy
        'Litematrimony\Profile\Models\Visit' => \Litematrimony\Profile\Policies\VisitPolicy::class,
// Bind Shortlist policy
        'Litematrimony\Profile\Models\Shortlist' => \Litematrimony\Profile\Policies\ShortlistPolicy::class,
// Bind Request policy
        'Litematrimony\Profile\Models\Request' => \Litematrimony\Profile\Policies\RequestPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
