<?php

namespace Litematrimony\Profile\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class RequestTransformer extends TransformerAbstract
{
    public function transform(\Litematrimony\Profile\Models\Request $request)
    {
        return [
            'id'                => $request->getRouteKey(),
            'key'               => [
                'public'    => $request->getPublicKey(),
                'route'     => $request->getRouteKey(),
            ], 
            'id'                => $request->id,
            'req_by'            => $request->req_by,
            'req_to'            => $request->req_to,
            'status'            => $request->status,
            'req_date'          => $request->req_date,
            'url'               => [
                'public'    => trans_url('profile/'.$request->getPublicKey()),
                'user'      => guard_url('profile/request/'.$request->getRouteKey()),
            ], 
            'status'            => trans('app.'.$request->status),
            'created_at'        => format_date($request->created_at),
            'updated_at'        => format_date($request->updated_at),
        ];
    }
}