<?php

namespace Litematrimony\Profile\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ShortlistTransformer extends TransformerAbstract
{
    public function transform(\Litematrimony\Profile\Models\Shortlist $shortlist)
    {
        return [
            'id'                => $shortlist->getRouteKey(),
            'key'               => [
                'public'    => $shortlist->getPublicKey(),
                'route'     => $shortlist->getRouteKey(),
            ], 
            'id'                => $shortlist->id,
            'profile_id'        => $shortlist->profile_id,
            'shortlist_id'      => $shortlist->shortlist_id,
            'shortlist_status'  => $shortlist->shortlist_status,
            'ignore_status'     => $shortlist->ignore_status,
            'url'               => [
                'public'    => trans_url('profile/'.$shortlist->getPublicKey()),
                'user'      => guard_url('profile/shortlist/'.$shortlist->getRouteKey()),
            ], 
            'status'            => trans('app.'.$shortlist->status),
            'created_at'        => format_date($shortlist->created_at),
            'updated_at'        => format_date($shortlist->updated_at),
        ];
    }
}