<?php

namespace Litematrimony\Profile\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class VisitTransformer extends TransformerAbstract
{
    public function transform(\Litematrimony\Profile\Models\Visit $visit)
    {
        return [
            'id'                => $visit->getRouteKey(),
            'key'               => [
                'public'    => $visit->getPublicKey(),
                'route'     => $visit->getRouteKey(),
            ], 
            'id'                => $visit->id,
            'visit_by'          => $visit->visit_by,
            'visit_to'          => $visit->visit_to,
            'visit_type'        => $visit->visit_type,
            'visit_date'        => $visit->visit_date,
            'url'               => [
                'public'    => trans_url('profile/'.$visit->getPublicKey()),
                'user'      => guard_url('profile/visit/'.$visit->getRouteKey()),
            ], 
            'status'            => trans('app.'.$visit->status),
            'created_at'        => format_date($visit->created_at),
            'updated_at'        => format_date($visit->updated_at),
        ];
    }
}